from smbus2 import SMBus
import time
import sys

i2c = SMBus(1)
addr = 0x44

class Sht31Handler:

    def __init__(self):
        # Send setting operation mode command
        # and wait for set up
        i2c.write_byte_data(addr, 0x23, 0x34)
        time.sleep(0.5)

    def get_temp(self):
        # Data acquisition command
        i2c.write_byte_data(addr, 0xe0, 0x0)
        # Read data
        data = i2c.read_i2c_block_data(addr, 0x0, 6)
        """
        data[0]: temperature(high-order-bit)
        data[1]: temperature(low-order-bit)
        data[2]: checksum
        data[3]: Humidity(high-order-bit)
        data[4]: Humidity(low-order-bit)
        data[5]: checksum
        """

        # 8bit(high-order-bit) | 8bit(low-order-bit) -> 16bit
        rawT = ((data[0]) << 8) | (data[1])
        rawR = ((data[3]) << 8) | (data[4])
        # calculate temperature and humidity
        temp = -45 + rawT * 175 / 65535
        RH = 100 * rawR / 65535
        return temp, RH
