import boto3
import os

sns_topic_arn = os.environ['SNS_TOPIC_ARN']
stop_alarm_url = os.environ['STOP_ALARM_URL']
start_alarm_url = os.environ['START_ALARM_URL']

def lambda_handler(event, context):
    client = boto3.client('sns')

    msg = 'A610-Thermometer Alarm \nアラームを解除するには以下のリンクをクリックしてください。\n' \
        + stop_alarm_url + '\n\n再度アラームをONにする際は以下のリンクをクリックしてください。\n' \
        + start_alarm_url
    subject = 'A610-Thermometer Alarm'

    response = client.publish(TopicArn = sns_topic_arn, Message = msg, Subject = subject)

    return response
